WebhookDeliveryResp

  • attempts
    Type: array object[] · WebhookDeliveryAttempt[]

    List of delivery attempts

    • attemptedAt
      Type: stringFormat: date-time

      When the attempt was made

    • attemptNumber
      Type: integer

      Attempt number (1-based)

    • duration
      Type: integer

      Request duration in milliseconds

    • errorMessage
      Type: string

      Error message if the attempt failed

    • responseBody
      Type: string

      HTTP response body (truncated)

    • responseStatus
      Type: integer

      HTTP response status code

  • createdAt
    Type: stringFormat: date-time

    When the delivery was created

  • eventId
    Type: string

    Unique event ID for idempotency

  • eventType
    Type: string · WebhookEventTypeenum

    Type of webhook event

    values
    • workflow.started
    • workflow.failed
    • workflow.completed
    • workflow.declined
    • workflow.voided
  • id
    Type: string

    Unique identifier for the delivery

  • nextRetryAt
    Type: stringFormat: date-time

    When the next retry will be attempted

  • organizationId
    Type: string

    Organization this delivery belongs to

  • payload
    Type: object

    Event payload that was/will be delivered

  • status
    Type: stringenum

    Current delivery status

    values
    • pending
    • success
    • failed
  • stepKey
    Type: string

    Associated step key if applicable

  • updatedAt
    Type: stringFormat: date-time

    When the delivery was last updated

  • webhookConfigId
    Type: string

    Webhook configuration this delivery belongs to

  • workflowId
    Type: string

    Associated workflow ID if applicable